ros-kilted-rcl-logging-spdlog (3.2.3-4noble) noble; urgency=high

  * Cleanup overwritten warning messages on error. (#128 <https://github.com/ros2/rcl_logging/issues/128>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 16 Oct 2025 22:00:00 -0000

ros-kilted-rcl-logging-spdlog (3.2.2-4noble) noble; urgency=high

  * rcl_logging_interface is only valid path with build environment. (#122 <https://github.com/ros2/rcl_logging/issues/122>)
  * README update and some cleanups. (#120 <https://github.com/ros2/rcl_logging/issues/120>)
  * Contributors: Tomoya Fujita

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 02 Oct 2024 22:00:00 -0000

ros-kilted-rcl-logging-spdlog (3.2.1-4noble) noble; urgency=high

  * Updated deprecated API (#117 <https://github.com/ros2/rcl_logging/issues/117>)
  * Contributors: Alejandro Hernández Cordero

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 28 Jul 2024 22:00:00 -0000

ros-kilted-rcl-logging-spdlog (3.2.0-4noble) noble; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 25 Apr 2024 22:00:00 -0000

ros-kilted-rcl-logging-spdlog (3.1.0-4noble) noble; urgency=high

  * Check allocator validity in some rcl_logging functions (#116 <https://github.com/ros2/rcl_logging/issues/116>)
    If the allocator is zero-initialized, it may cause a segfault when it is
    used later in the functions.
  * Cleanup the tests. (#115 <https://github.com/ros2/rcl_logging/issues/115>)
    * Cleanup the tests.
    There are a few different fixes in here:
    1.  Move away from using "popen" to get the list of files
    in a directory.  Instead, switch to using the C++ std::filesystem
    directory iterator and doing the work ourselves, which is portable
    and much less error-prone.
    2.  Set the ROS_LOG_DIR for all of the tests in here.  This should
    make the test resistant to being run in parallel with other tests.
    3.  Consistently use rcpputils::set_env_var, rather than a mix
    of rcpputils and rcutils.
  * Update quality declaration document (#112 <https://github.com/ros2/rcl_logging/issues/112>)
  * Re-order rcl_logging_interface include (#111 <https://github.com/ros2/rcl_logging/issues/111>)
  * Contributors: Chris Lalancette, Christophe Bedard, Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 27 Mar 2024 23:00:00 -0000

ros-kilted-rcl-logging-spdlog (3.0.0-4noble) noble; urgency=high

  * add file_name_prefix parameter to external log configuration. (#109 <https://github.com/ros2/rcl_logging/issues/109>)
  * Contributors: Tomoya Fujita

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 23 Jan 2024 23:00:00 -0000

ros-kilted-rcl-logging-spdlog (2.7.1-4noble) noble; urgency=high

  * Migrate to std::filesystem (#104 <https://github.com/ros2/rcl_logging/issues/104>)
  * Contributors: Kenta Yonekura

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-kilted-rcl-logging-spdlog (2.7.0-4noble) noble; urgency=high

  * Remove the last uses of ament_target_dependencies in this repo. (#102 <https://github.com/ros2/rcl_logging/issues/102>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 06 Sep 2023 22:00:00 -0000

ros-kilted-rcl-logging-spdlog (2.6.0-4noble) noble; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 26 Apr 2023 22:00:00 -0000

ros-kilted-rcl-logging-spdlog (2.5.1-4noble) noble; urgency=high

  * Mark the benchmark _ as unused. (#99 <https://github.com/ros2/rcl_logging/issues/99>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-kilted-rcl-logging-spdlog (2.5.0-4noble) noble; urgency=high

  * Update rcl_logging to C++17. (#98 <https://github.com/ros2/rcl_logging/issues/98>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 12 Feb 2023 23:00:00 -0000

ros-kilted-rcl-logging-spdlog (2.4.3-4noble) noble; urgency=high

  * change flushing behavior for spdlog log files, and add env var to use old style (no explicit flushing) (#95 <https://github.com/ros2/rcl_logging/issues/95>)
    * now flushes every ERROR message and periodically every 5 seconds
    * can set ``RCL_LOGGING_SPDLOG_EXPERIMENTAL_OLD_FLUSHING_BEHAVIOR=1`` to get old behavior
  * Updated maintainers - 2022-11-07 (#96 <https://github.com/ros2/rcl_logging/issues/96>)
  * Contributors: Audrow Nash, William Woodall

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 17 Nov 2022 23:00:00 -0000

ros-kilted-rcl-logging-spdlog (2.4.2-4noble) noble; urgency=high

  * Disable cppcheck for rcl_logging_spdlog. (#93 <https://github.com/ros2/rcl_logging/issues/93>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 01 Nov 2022 23:00:00 -0000

ros-kilted-rcl-logging-spdlog (2.4.1-4noble) noble; urgency=high

  * ament_export_dependencies any package with targets we linked against (#89 <https://github.com/ros2/rcl_logging/issues/89>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-kilted-rcl-logging-spdlog (2.4.0-4noble) noble; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-kilted-rcl-logging-spdlog (2.3.0-4noble) noble; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-kilted-rcl-logging-spdlog (2.2.1-4noble) noble; urgency=high

  * Fix include order for cpplint (#84 <https://github.com/ros2/rcl_logging/issues/84>)
    Relates to https://github.com/ament/ament_lint/pull/324
  * Update maintainers to Chris Lalancette (#83 <https://github.com/ros2/rcl_logging/issues/83>)
  * Contributors: Audrow Nash, Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-kilted-rcl-logging-spdlog (2.2.0-4noble) noble; urgency=high

  * Fix renamed rcpputils header (#81 <https://github.com/ros2/rcl_logging/issues/81>)
  * Contributors: Abrar Rahman Protyasha

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 17 Nov 2021 23:00:00 -0000

ros-kilted-rcl-logging-spdlog (2.1.3-4noble) noble; urgency=high

  * Update includes after rcutils/get_env.h deprecation (#75 <https://github.com/ros2/rcl_logging/issues/75>)
  * Contributors: Christophe Bedard

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 15 Sep 2021 22:00:00 -0000

ros-kilted-rcl-logging-spdlog (2.1.2-4noble) noble; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#73 <https://github.com/ros2/rcl_logging/issues/73>)
  * Contributors: shonigmann

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kilted-rcl-logging-spdlog (2.1.1-4noble) noble; urgency=high

  * Include what you use (#71 <https://github.com/ros2/rcl_logging/issues/71>)
  * Contributors: Ivan Santiago Paunovic

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-kilted-rcl-logging-spdlog (2.1.0-4noble) noble; urgency=high

  * Update QD to QL 1 (#66 <https://github.com/ros2/rcl_logging/issues/66>)
  * Make sure to check return value from external_initialize. (#65 <https://github.com/ros2/rcl_logging/issues/65>)
  * updated QD section 3.i and 3ii and spelling error (#63 <https://github.com/ros2/rcl_logging/issues/63>)
  * rcl_logging_spdlog: Increased QL to 2 in QD
  * Updated spdlog QL in QD
  * Make internal dependencies private (#60 <https://github.com/ros2/rcl_logging/issues/60>)
  * [rcl_logging_spdlog] Add warnings (#54 <https://github.com/ros2/rcl_logging/issues/54>)
  * Allow configuring logging directory through environment variables (#53 <https://github.com/ros2/rcl_logging/issues/53>)
  * Update the maintainers. (#55 <https://github.com/ros2/rcl_logging/issues/55>)
  * Added benchmark test to rcl_logging_spdlog (#52 <https://github.com/ros2/rcl_logging/issues/52>)
  * Used current_path() function from rcpputils (#51 <https://github.com/ros2/rcl_logging/issues/51>)
  * Add fault injection unittest to increase coverage (#49 <https://github.com/ros2/rcl_logging/issues/49>)
  * Contributors: Alejandro Hernández Cordero, Audrow Nash, Chris Lalancette, Christophe Bedard, Shane Loretz, Stephen Brawner, ahcorde, brawner

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 07 Dec 2020 23:00:00 -0000

ros-kilted-rcl-logging-spdlog (2.0.1-4noble) noble; urgency=high

  * Bump QD to level 3 and updated QD (#44 <https://github.com/ros2/rcl_logging/issues/44>)
  * Added Doxyfile and fixed related warnings (#42 <https://github.com/ros2/rcl_logging/issues/42>)
  * Contributors: Alejandro Hernández Cordero

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 20 Jul 2020 22:00:00 -0000

ros-kilted-rcl-logging-spdlog (2.0.0-4noble) noble; urgency=high

  * Use new package with rcl logging interface (#41 <https://github.com/ros2/rcl_logging/issues/41>)
  * Increased test coverage (#40 <https://github.com/ros2/rcl_logging/issues/40>)
  * Add Security Vulnerability Policy pointing to REP-2006.
  * Rename Quality_Declaration.md -> QUALITY_DECLARATION.md
  * Contributors: Chris Lalancette, Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 17 Jun 2020 22:00:00 -0000

ros-kilted-rcl-logging-spdlog (1.0.0-4noble) noble; urgency=high

  * Add some preliminary functional tests (#36 <https://github.com/ros2/rcl_logging/issues/36>)
  * warn about unused return value for set_logger_level (#38 <https://github.com/ros2/rcl_logging/issues/38>)
  * Added features to rcl_logging_spdlog (#35 <https://github.com/ros2/rcl_logging/issues/35>)
  * Added public API documentation for log4cxx and spdlog (#32 <https://github.com/ros2/rcl_logging/issues/32>)
  * Current state Quality Declaration, Contributing and Readme files (#29 <https://github.com/ros2/rcl_logging/issues/29>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Jorge Perez, Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-kilted-rcl-logging-spdlog (0.4.0-4noble) noble; urgency=high

  * Export targets in addition to include directories / libraries (#31 <https://github.com/ros2/rcl_logging/issues/31>)
  * Make spdlog an exec_depend (#27 <https://github.com/ros2/rcl_logging/issues/27>)
  * Code style only: wrap after open parenthesis if not in one line (#24 <https://github.com/ros2/rcl_logging/issues/24>)
  * Bypass spdlog singleton registry (#23 <https://github.com/ros2/rcl_logging/issues/23>)
  * Contributors: Chris Lalancette, Dirk Thomas, Ivan Santiago Paunovic

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 23 Apr 2020 22:00:00 -0000

ros-kilted-rcl-logging-spdlog (0.3.3-4noble) noble; urgency=high

  * Fix Clang warning about possible uninitialized variable (#21 <https://github.com/ros2/rcl_logging/issues/21>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-kilted-rcl-logging-spdlog (0.3.2-4noble) noble; urgency=high

  * spdlog is a header-only library, so the exported dep isn't needed. (#19 <https://github.com/ros2/rcl_logging/issues/19>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 06 Oct 2019 22:00:00 -0000

ros-kilted-rcl-logging-spdlog (0.3.1-4noble) noble; urgency=high

  * Implement a backend logger using spdlog. (#17 <https://github.com/ros2/rcl_logging/issues/17>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 02 Oct 2019 22:00:00 -0000

ros-kilted-rcl-logging-spdlog (0.3.0-4noble) noble; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 25 Sep 2019 22:00:00 -0000

ros-kilted-rcl-logging-spdlog (0.2.1-4noble) noble; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 07 May 2019 22:00:00 -0000

ros-kilted-rcl-logging-spdlog (0.2.0-4noble) noble; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 08 Mar 2019 23:00:00 -0000

ros-kilted-rcl-logging-spdlog (0.1.0-4noble) noble; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 06 Dec 2018 23:00:00 -0000


